# H323_G711Capability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323_G711Capability:

[legend]
Collaboration diagram for H323_G711Capability:
[legend]

## Public Types

| ALaw
| European standard.
| muLaw
| American standard.
| At64k
| European standard.
| At56k
| American standard.
enum | Mode { ALaw, muLaw }
| Specific G.711 encoding algorithm. More...
enum | Speed { At64k, At56k }
| Specific G.711 encoding bit rates. More...

## Public Member Functions

Construction
| H323_G711Capability (Mode mode=muLaw, Speed speed=At64k)
Overrides from class PObject
virtual PObject * | Clone () const
Identification functions
virtual unsigned | GetSubType () const
virtual PString | GetFormatName () const

## Protected Attributes

Mode | mode
Speed | speed

## Detailed Description

This class describes the G.711 codec capability.

## Member Enumeration Documentation

enum H323_G711Capability::Mode

Specific G.711 encoding algorithm.

Enumerator:

  ALaw | European standard.
  muLaw | American standard.

enum H323_G711Capability::Speed

Specific G.711 encoding bit rates.

Enumerator:

  At64k | European standard.
  At56k | American standard.

## Constructor & Destructor Documentation

H323_G711Capability::H323_G711Capability | ( | Mode | mode = `muLaw`,
|  | Speed | speed = `At64k` |
| ) |  |  |

Create a new G.711 capability.

Parameters:

  mode | Type of encoding.
  speed | Encoding bit rate.

## Member Function Documentation

virtual PObject* H323_G711Capability::Clone | ( |  | ) | const`[virtual]`

Create a copy of the object.

virtual PString H323_G711Capability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual unsigned H323_G711Capability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

This returns one of the four possible combinations of mode and speed using the enum values of the protocol ASN H245_AudioCapability class.

Implements H323Capability.

## Field Documentation

Mode H323_G711Capability::mode `[protected]`

Speed H323_G711Capability::speed `[protected]`

The documentation for this class was generated from the following file:

- h323caps.h